import { Validate } from 'class-validator';
import { IsMapOfStringsConstraint } from '../constraints/is-map-of-strings.constraint';

export function IsMapOfStrings() {
    return function (object: Record<string, any>, propertyName: string): void {
        Validate(IsMapOfStringsConstraint, {
            message: `${propertyName} must be a map object with string values.`,
        })(object, propertyName);
    };
}
