import { Prop, Schema, SchemaFactory } from '@nestjs/mongoose';
import { HydratedDocument } from 'mongoose';
import { ITime } from '../../interfaces/group-session.interface';

@Schema({ _id: false })
export class Time implements ITime {
    @Prop({ type: String, required: true })
    inString: string;

    @Prop({ type: Number, required: true })
    inNumber: number;

    @Prop({ type: String, required: true })
    zone: string;
}

export const TimeSchema = SchemaFactory.createForClass(Time);
export type TimeDocument = HydratedDocument<Time>;
